# API Reference

This API reference is organized by resource type. Each resource type has one or more data representations and one or more methods.

## WebResource

For WebResource Resource details, see the [resource representation](https://developers.google.com/site-verification/v1/webResource#resource) page.

| Method | HTTP request | Description |
|---|---|---|
| URIs relative to https://www.googleapis.com/siteVerification/v1, unless otherwise noted |||
| [delete](https://developers.google.com/site-verification/v1/webResource/delete) | `DELETE /webResource/id` | Unverifies the user's ownership of a website or domain. |
| [get](https://developers.google.com/site-verification/v1/webResource/get) | `GET /webResource/id` | Retrieves the most current data for a website or domain. |
| [getToken](https://developers.google.com/site-verification/v1/webResource/getToken) | `POST /token` | Gets a verification token for the authenticated user to place on a website or domain. |
| [insert](https://developers.google.com/site-verification/v1/webResource/insert) | `POST /webResource?verificationMethod=method` | Verifies ownership of a website or domain. <br /> **Required query parameters:** `verificationMethod` |
| [list](https://developers.google.com/site-verification/v1/webResource/list) | `GET /webResource` | Gets the list of the authenticated user's verified websites and domains. |
| [update](https://developers.google.com/site-verification/v1/webResource/update) | `PUT /webResource/id` | Modifies the list of owners for a website or domain. |